%define color 0
%{?_with_color: %{expand: %%define color 1}}

ExclusiveArch: i386
Name: anaconda
Version: 7.3
Release: 7.10
Copyright: GPL
Summary: The Red Hat Linux installation program.
Group: Applications/System
Source: anaconda-%{PACKAGE_VERSION}.tar.bz2
Patch1000: anaconda-7.3-todo.patch
Patch1001: anaconda-7.3-cdrom.patch
Patch1002: anaconda-7.3-error.patch
Patch1003: anaconda-7.3-debug.patch
Patch1004: anaconda-7.3-script.patch
Patch1005: anaconda-7.3-ieee1394.patch
Patch1006: anaconda-7.1-memory.patch
Patch1007: anaconda-7.1-module.patch
Patch1008: anaconda-7.3-version.patch
Patch1009: anaconda-7.3-ks.patch
Patch1010: anaconda-7.1-pump.patch
Patch1011: anaconda-7.3-big.patch
Patch1012: anaconda-7.3-space.patch
Patch1013: anaconda-7.3-locale.patch
Patch1014: anaconda-7.3-acpi.patch
Patch1015: anaconda-7.3-close.patch
Patch1016: anaconda-7.3-eth.patch
Patch1017: anaconda-7.3-format.patch
Patch1018: anaconda-7.3-pxe.patch
Patch2000: anaconda-7.3-color.patch
Obsoletes: anaconda-reconfig
BuildPreReq: pump-devel, kudzu-devel, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel db3-devel gtk+-devel gnome-libs-devel rpm-python, newt-devel, rpm-devel, gettext >= 0.11, modutils-devel, dietlibc, kernel-pcmcia-cs
Prereq: chkconfig /etc/init.d
Requires: rpm-python
Excludearch: sparc sparc64

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The anaconda package contains portions of the Red Hat Linux
installation program which can then be run by the user for
reconfiguration and advanced installation options.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q

%patch1000 -p1 -b .todo
%patch1001 -p0 -b .cdrom
%patch1002 -p1 -b .error
%patch1003 -p1 -b .debug
%patch1004 -p1 -b .script
%patch1005 -p1 -b .ieee1394
%patch1006 -p0 -b .memory
%patch1007 -p0 -b .module
%patch1008 -p1 -b .version
%patch1009 -p1 -b .ks
%patch1010 -p0 -b .pump
%patch1011 -p1 -b .big
%patch1012 -p1 -b .space
%patch1013 -p1 -b .locale
%patch1014 -p1 -b .acpi
%patch1015 -p1 -b .close
%patch1016 -p1 -b .eth
%patch1017 -p1 -b .format
%patch1018 -p1 -b .pxe

%if %{color}
%patch2000 -p1 -b .color
%endif

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add reconfig

%preun
if [ $1 = 0 ]; then
	chkconfig --del reconfig
fi

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/anaconda-release-notes.txt
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda
%ifarch i386
/usr/sbin/ddcprobe
%endif

%config /etc/rc.d/init.d/reconfig

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} Anaconda team <bugzilla@redhat.com>
- built new version from CVS

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- buildrequires modutils-devel

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

