%define redhat_6_2_compat 0
%{?_with_redhat62compat: %{expand: %%define redhat_6_2_compat 1}}
%{?_with_redhat62compat: %{expand: %%define __cc i386-glibc21-linux-gcc}}

Summary: A portable x86 assembler which uses Intel-like syntax.
Name: nasm
Version: 0.98.22
Release: 2.1
Patch0: nasm-0.98-boguself2.patch
License: freely distributable
Group: Development/Languages
Source: ftp://ftp.us.kernel.org/pub/software/devel/nasm/source/nasm-%{version}.tar.bz2
URL: http://nasm.2y.net/
BuildRequires: perl
%if %{redhat_6_2_compat}
BuildPrereq: compat-gcc = 6.2
BuildPrereq: compat-glibc = 6.2
%endif
ExclusiveArch: %{ix86}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/install-info

%package doc
Summary: Documentation for NASM.
Group: Development/Languages

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Group: Development/Tools

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
This package contains documentation for the Netwide Assembler (NASM),
in HTML, info, PostScript, and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM). These tools
include linker, library manager, loader, and information dump.

%prep
%setup

%patch0 -p1 -b .boguself

%build

export CC=%{__cc}
%configure
make everything CC=%{__cc} CFLAGS="$RPM_OPT_FLAGS -I. -I`pwd` -ansi -pedantic -Wall"

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/usr/tempdoc

%makeinstall install_everything docdir=$RPM_BUILD_ROOT/usr/tempdoc

gzip -9f $RPM_BUILD_ROOT/%{_infodir}/nasm.* 
cp -a $RPM_BUILD_ROOT/usr/tempdoc/html $RPM_BUILD_ROOT/usr/tempdoc/nasmdoc.{ps,txt} .
gzip -9f nasmdoc.{ps,txt}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post 
/sbin/install-info %{_infodir}/nasm.info.gz  %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/nasm.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc COPYING Changes Licence MODIFIED Readme Wishlist
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/*/*
%{_infodir}/nasm.info*.gz

%files doc
%defattr(-,root,root)
%doc html nasmdoc.txt.gz nasmdoc.ps.gz

%files rdoff
%defattr(-,root,root)
%{_bindir}/ldrdf
%{_bindir}/rdf2bin
%{_bindir}/rdf2com
%{_bindir}/rdfdump
%{_bindir}/rdflib
%{_bindir}/rdx

%changelog
* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.98.22-2
- Rebuild

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 0.98.22 to fix bogus code generation in SDL
- Fix spec file, handle RPM_OPT_FLAGS

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Aug  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Updated patch from H.J. Lu for bogus elf generation (#45986, 
  verified by reporter) 

* Thu Apr 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Updated patch for bogus elf generation from hjl@gnu.org 

* Tue Feb 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add patch from H.J. Lu to avoid creating bogus elf objects (#27489)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rewrote almost everything. The old specfile was bad, bad, bad.
  Really Bad.  
 
* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- moved to distribution (syslinux needs it)
- gzipped man pages

* Thu Dec 02 1999 Preston Brown <pbrown@redhat.com>
- adopted from one of the best .spec files I have seen in a long time. :)
