Summary: A tool for determining compilation options.
Name: pkgconfig
Version: 0.12.0
Release: 1.1
Epoch: 1
License: GPL
Group: Development/Tools
Source:  http://www.freedesktop.org/software/pkgconfig/releases/%{name}-%{version}.tar.gz
Patch1000: glib-1.2.8-cross.patch
Patch1001: glib-1.2.8-acinclude.patch
Patch1002: glib-1.2.8-cross-sysdefs.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.

%prep
%setup -q

pushd glib-1.2.8
%patch1000 -p1 -b .cross
%patch1001 -p1 -b .acinclude -E
%patch1002 -p1 -b .cross-sysdefs
autoconf
popd

%build
%if %{_arch} != %{_build_arch}
glib_cv_prog_cc_ansi_proto=no; export glib_cv_prog_cc_ansi_proto
glib_cv_has__inline=yes; export glib_cv_has__inline
glib_cv_has__inline__=yes; export glib_cv_has__inline__
glib_cv_hasinline=yes; export glib_cv_hasinline
glib_cv_sane_realloc=yes; export glib_cv_sane_realloc
glib_cv_rtldglobal_broken=no; export glib_cv_rtldglobal_broken
glib_cv_uscore=no; export glib_cv_uscore
ac_cv_func_getpwuid_r=yes; export ac_cv_func_getpwuid_r
glib_cv_func_pthread_mutex_trylock_posix=yes; export glib_cv_func_pthread_mutex_trylock_posix
glib_cv_func_pthread_cond_timedwait_posix=yes; export glib_cv_func_pthread_cond_timedwait_posix
%ifarch mips mipsel %{ix86}
ac_cv_sizeof_char=1; export ac_cv_sizeof_char
ac_cv_sizeof_short=2; export ac_cv_sizeof_short
ac_cv_sizeof_long=4; export ac_cv_sizeof_long 
ac_cv_sizeof_int=4; export ac_cv_sizeof_int 
ac_cv_sizeof_void_p=4; export ac_cv_sizeof_void_p 
ac_cv_sizeof_long_long=8; export ac_cv_sizeof_long_long
glib_cv_va_copy=yes; export glib_cv_va_copy
glib_cv___va_copy=yes; export glib_cv___va_copy
glib_cv_va_val_copy=yes; export glib_cv_va_val_copy
glib_cv_sizeof_gmutex=24; export glib_cv_sizeof_gmutex
glib_cv_byte_contents_gmutex="0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0"; export glib_cv_byte_contents_gmutex
%endif
%endif
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig
strip $RPM_BUILD_ROOT%{_prefix}/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_bindir}/*
%{_libdir}/pkgconfig
%{_datadir}/aclocal/*

%changelog
* Thu Mar  7 2002 Havoc Pennington <hp@redhat.com>
- 0.12.0

* Thu Feb  7 2002 Havoc Pennington <hp@redhat.com>
- 0.11.0

* Sun Feb  3 2002 Havoc Pennington <hp@redhat.com>
- backbuild in gnomehide

* Sun Feb  3 2002 Havoc Pennington <hp@redhat.com>
- 0.10.0

* Sun Feb  3 2002 Havoc Pennington <hp@redhat.com>
- 0.9.0

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- call libtoolize to make porting to new archs easier

* Thu Jun 07 2001 Havoc Pennington <hp@redhat.com>
- put pkg.m4 in file list

* Wed Jun 06 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 0.7
- add man page

* Wed Jan 03 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 0.5

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Wed Oct 04 2000 Owen Taylor <otaylor@redhat.com>
- Initial package
