Summary: Wireless ethernet configuration tools
Group: System Environment/Base
License: GPL
Name: wireless-tools
Version: 23
Release: 2.1
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: http://pcmcia-cs.sourceforge.net/ftp/contrib/wireless_tools.%{version}.tar.gz
Patch: wireless-tools-make.patch
Patch1: wireless-tools-glibc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch: s390 s390x

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment. 

%prep
%setup -n wireless_tools.%{version}
%patch -p1 -b .sopwith
#%patch1 -p1

%build
make clean
make OPT_FLAGS="$RPM_OPT_FLAGS" IWLIBS="-L. -liw" \
	AR=%{__ar} CC=%{__cc} RANLIB=%{__ranlib}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{/sbin,/lib,%{_mandir}/man8,%{_includedir}}

make install INSTALL_DIR=$RPM_BUILD_ROOT/sbin \
	INSTALL_LIB=$RPM_BUILD_ROOT/lib \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT/lib/libiw.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc INSTALL README
/sbin/*
%{_mandir}/man*/*
/lib/*
%{_includedir}/*

%changelog
* Thu Mar 21 2002 Bill Nottingham <notting@redhat.com> 23-2
- rebuild against new headers

* Thu Feb 28 2002 Elliot Lee <sopwith@redhat.com> 23-1
- Update to version 23, with associated fixes.

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- rebuild against new kernel

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Sun Apr 22 2001 Bill Nottingham <notting@redhat.com>
- update to version 21

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with glibc-2.2
- also, rebuild so it no longer dumps core. :)

* Tue Dec 05 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- added a clean section in the spec file

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- initial build
